#import <appkit/appkit.h>
#include <stdio.h>
#import "MailSend.h"

@interface MailMessage:Object < MailSend >
{
   id MUA;				     /* Mail User Agent - mail program, e.g. MH, Mail.app etc. */
   id MTA;				     /* Mail Transport Agent - e.g. sendmail, smail etc. */
   id to;
   id subject;
   id cc;
   id text;
   id mailFile;
   FILE *fp;
   id envelope;
   id body;
   id commandLine;
   id attachments;
}

+ (BOOL)supportsAttachments;

-initForMUA: (const char *)anApp  andMTA: (const char *)aMailer;
-free;
-commandArgs;
-buildEnvelope;
-buildBody;
-deliverTo: (const char *)receivers 
   subject: (const char *)about 
        cc: (const char *)alsoReceives 
      text: (const char *)str;

- setAttachments: fileList;

@end
